[arch-commits] Commit in autoconf/repos (3 files)

Allan McRae allan at archlinux.org
Wed Apr 25 07:53:14 UTC 2012


    Date: Wednesday, April 25, 2012 @ 03:53:13
  Author: allan
Revision: 157167

archrelease: copy trunk to testing-any

Added:
  autoconf/repos/testing-any/
  autoconf/repos/testing-any/PKGBUILD
    (from rev 157166, autoconf/trunk/PKGBUILD)
  autoconf/repos/testing-any/autoconf.install
    (from rev 157166, autoconf/trunk/autoconf.install)

------------------+
 PKGBUILD         |   42 ++++++++++++++++++++++++++++++++++++++++++
 autoconf.install |   20 ++++++++++++++++++++
 2 files changed, 62 insertions(+)

Copied: autoconf/repos/testing-any/PKGBUILD (from rev 157166, autoconf/trunk/PKGBUILD)
===================================================================
--- testing-any/PKGBUILD	                        (rev 0)
+++ testing-any/PKGBUILD	2012-04-25 07:53:13 UTC (rev 157167)
@@ -0,0 +1,42 @@
+# $Id$
+# Maintainer: Allan McRae <allan at archlinux.org>
+# Contributor: Andreas Radke <andyrtr at archlinux.org>
+
+pkgname=autoconf
+pkgver=2.69
+pkgrel=1
+pkgdesc="A GNU tool for automatically configuring source code"
+arch=('any')
+license=('GPL2' 'GPL3' 'custom')
+url="http://www.gnu.org/software/autoconf"
+groups=('base-devel')
+depends=('awk' 'm4' 'diffutils' 'bash')
+# for test-suite
+#makedepends=('gcc-fortran' 'erlang')
+install=autoconf.install
+source=(ftp://ftp.gnu.org/pub/gnu/${pkgname}/${pkgname}-${pkgver}.tar.xz{,.sig})
+md5sums=('50f97f4159805e374639a73e2636f22e'
+         '2941e2fe687e05b3431eac6b714053bc')
+
+build() {
+  cd ${srcdir}/${pkgname}-${pkgver}
+  ./configure --prefix=/usr
+  make
+}
+
+check() {
+  cd ${srcdir}/${pkgname}-${pkgver}
+  make check
+}
+
+package() {
+  cd ${srcdir}/${pkgname}-${pkgver}
+  make DESTDIR=${pkgdir} install
+
+  # license exception
+  install -Dm644 COPYING.EXCEPTION \
+    $pkgdir/usr/share/licenses/autoconf/COPYING.EXCEPTION
+
+  # conflict with bintuils
+  rm -f ${pkgdir}/usr/share/info/standards.info
+}

Copied: autoconf/repos/testing-any/autoconf.install (from rev 157166, autoconf/trunk/autoconf.install)
===================================================================
--- testing-any/autoconf.install	                        (rev 0)
+++ testing-any/autoconf.install	2012-04-25 07:53:13 UTC (rev 157167)
@@ -0,0 +1,20 @@
+infodir=/usr/share/info
+filelist=(autoconf.info)
+
+post_install() {
+  [ -x usr/bin/install-info ] || return 0
+  for file in ${filelist[@]}; do
+    install-info $infodir/$file.gz $infodir/dir 2> /dev/null
+  done
+}
+
+post_upgrade() {
+  post_install $1
+}
+
+pre_remove() {
+  [ -x usr/bin/install-info ] || return 0
+  for file in ${filelist[@]}; do
+    install-info --delete $infodir/$file.gz $infodir/dir 2> /dev/null
+  done
+}




More information about the arch-commits mailing list